[Processing] Options dialog remove vector menu entries
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23059

Description

When processing options dialog is accepted, processing vector menu entries disapear but are not recreated.

This should be due to the deleteLater effect.

Also note that, in processing.gui.menus.removeAlgorithmEntry the menu entry is search by his setting path, which should have changed.

Also note that the options dialog tree item says "restart required", but the dialog try to update the vector menu.

Related issues:

Related to QGIS Application - Bug report # 15730: "Geometry tools" vector men... Closed 2016-10-20

Related to QGIS Application - Bug report # 16633: Vector menu is duplicated Closed 2017-05-28

History

#1 - 2016-06-30 01:25 PM - Calvin Hamilton

I am not 100% sure this is caused by the processing plugin. I first encountered it after I installed QuickMapServices. I have had it happen twice. Something

is getting clobbered in the registry. If you delete HKEY_CURRENT_USER->Software->QGIS then it clears up the problem. I haven't gone deeper to try

and figure out which registry key is causing the problem.

#2 - 2016-08-21 09:45 AM - Arnaud Morvan

Pull request proposed : https://github.com/qgis/QGIS/pull/3415

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-05-28 05:53 PM - Jürgen Fischer

- Related to Bug report #16633: Vector menu is duplicated added

#5 - 2018-06-01 07:51 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

Not an issue in 3.2
